> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /opensecrets/pacs/search

> List top political action committees, top recipients of PAC money, or foreign-connected PACs

**Price:** 10 credits



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/opensecrets/pacs/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/opensecrets/pacs/search:
    post:
      tags:
        - /opensecrets
      summary: /opensecrets/pacs/search
      description: >-
        List top political action committees, top recipients of PAC money, or
        foreign-connected PACs


        **Price:** 10 credits
      operationId: __api_opensecrets_pacs_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpensecretsPacsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpensecretsPac'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpensecretsPacsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        list_type:
          $ref: '#/components/schemas/OpensecretsPacList'
          default: top_pacs
        cycle:
          $ref: '#/components/schemas/OpensecretsCycle'
          default: '2024'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    OpensecretsPac:
      properties:
        '@type':
          type: string
          default: OpensecretsPac
        name:
          anyOf:
            - type: string
            - type: 'null'
        total:
          anyOf:
            - type: integer
            - type: 'null'
        party:
          anyOf:
            - type: string
            - type: 'null'
        lean:
          anyOf:
            - type: string
            - type: 'null'
        to_democrats_percent:
          anyOf:
            - type: number
            - type: 'null'
        to_republicans_percent:
          anyOf:
            - type: number
            - type: 'null'
        candidate_type:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpensecretsPacList:
      type: string
      enum:
        - top_pacs
        - top_recipients
        - foreign_connected
    OpensecretsCycle:
      type: string
      enum:
        - a
        - '2026'
        - '2024'
        - '2022'
        - '2020'
        - '2018'
        - '2016'
        - '2014'
        - '2012'
        - '2010'
        - '2008'
        - '2006'
        - '2004'
        - '2002'
        - '2000'
        - '1998'
        - '1996'
        - '1994'
        - '1992'
        - '1990'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````